const BOARD_MICRO = """
######
#pb .#
######"""

const BOARD_MINI = """
######
#pb .#
## B##
######"""

# 3 pushes to solve
const BOARD_EASY = """#########
#       #
# p b  .#
#       #
#########"""

# 8 pushes to solve
const BOARD_EASY2 = """
 #####
 #.. #
###  #
# b  #
# b ##
#p  ##
##### """

# 12 pushes to solve
const BOARD_PITFALL = """
#########
#p      #
#       #
# bbb...#
#    ####
#    ####
#########"""

# 38 pushes to solve
# Author: YASGen & Brian Damgaard
# Sol: dDuurrddLLrrddLLUlluuRDRddrruuLLrruullDlldddRRuULrrruullDldRddlUruuurrddddLLuuRlddrruUUdlldlldRRuuulDrddlluRurrrddLLUluRRlddrruUlldlldRRRlluuulD
const BOARD_CHAOS = """#######
###p .#
# b #.#
#  bb #
#.  # #
#   b.#
#######"""

const BOARD_TUBED = """
##########
#p# . #  #
# #   #  #
# #   #  #
# # b #  #
#     #  #
##########"""

const BOARD_DOORS = """
############
#p# . #  # #
#          #
# ## ### # #
# # b ## # #
#        # #
########## #
#.       b #
############"""

const BOARD_GATE = """
############
#    #     #
#    #  .  #
#    #  b  #
# p  #     #
#    #     #
#    #### ##
#    b    .#
############"""

const BOARD_DOOR_PATTERN_2 = """
##########
#p  .#   #
#        #
#      ###
#   b    #
#    #   #
##########"""

const BOARD_DOOR_PATTERN_3 = """
##############################
#   #### b   .   .######  .  #
# p #### ####     ######  .  #
#   #### ####  b  ######  b  #
## ##### ####     ######     #
## ##### ####     ######     #
## ####   #####b##########b###
##    b .      .           ###
#######   #              # ###
#######   ################b###
##                          ##
#   # b #   #    #   # b #.  #
#  #  .  #   #  #   #  .  #  #
#   #   #   #    #   #   #   #
##                          ##
##############################"""